Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDOM 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdom.output
Class DOMOutputter

    java.lang.Object
      |
      +--org.jdom.output.DOMOutputter

public class DOMOutputter
extends java.lang.Object

Outputs a JDOM `org.jdom.Document` as a DOM `org.w3c.dom.Document`.

Version:
  $Revision: 1.41 $, $Date: 2004/09/03 06:03:42 $
Author:
  Brett McLaughlin, Jason Hunter, Matthew Merlo, Dan Schaffer, Yusuf Goolamabbas, Bradley S. Huffman

Constructor Summary
`DOMOutputter()` This creates a new DOMOutputter which will attempt to first locate a DOM implementation to use via JAXP, and if JAXP does not exist or there's a problem, will fall back to the default parser.
`DOMOutputter(java.lang.String adapterClass)` This creates a new DOMOutputter using the specified DOMAdapter implementation as a way to choose the underlying parser.

Method Summary
`org.w3c.dom.Document` | `output(Document document)` This converts the JDOM `Document` parameter to a DOM Document, returning the DOM version.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMOutputter

    public DOMOutputter()

  This creates a new DOMOutputter which will attempt to first locate a DOM implementation to use via JAXP, and if JAXP does not exist or there's a problem, will fall back to the default parser.

### DOMOutputter

    public DOMOutputter(java.lang.String adapterClass)

  This creates a new DOMOutputter using the specified DOMAdapter implementation as a way to choose the underlying parser.
  Parameters:
    `adapterClass` - `String` name of class to use for DOM output

Method Detail

### output

    public org.w3c.dom.Document output(Document document)
                                throws JDOMException

  This converts the JDOM `Document` parameter to a DOM Document, returning the DOM version. The DOM implementation is the one chosen in the constructor.
  Parameters:
    `document` - `Document` to output.
  Returns:
    an `org.w3c.dom.Document` version

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDOM 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Jason Hunter, Brett McLaughlin. All Rights Reserved.